 
package com.qiyou.mb.android.utils;


 
import android.os.StrictMode;

import com.qiyou.mb.android.utils.base.IStrictMode;


/**
 * Implementation that supports the Strict Mode functionality
 * available Honeycomb. 
 */
 
public class HoneycombStrictMode implements IStrictMode {
  protected static String TAG = "HoneycombStrictMode";
  
  /**
   * Enable {@link StrictMode}
   * TODO Set your preferred Strict Mode features.
   */
   
@Override
public void enableStrictMode() {
     StrictMode.setThreadPolicy(new StrictMode.ThreadPolicy.Builder()
     .detectDiskReads()
     .detectDiskWrites()
     .detectNetwork()
     .penaltyLog()
     .penaltyFlashScreen()
     .build());
   }
}
